<?php

namespace Drupal\Tests\token_modifier\Unit;

use Drupal\Tests\UnitTestCase;

abstract class TokenModifierTestCase extends UnitTestCase {

  /**
   * @var \Drupal\Core\Utility\Token|\PHPUnit\Framework\MockObject\MockObject
   */
  protected $token;

  protected function setUp(): void {
    $this->token = $this->getMockBuilder('Drupal\Core\Utility\Token')
      ->disableOriginalConstructor()
      ->getMock();
    $this->token->method('replace')->willReturnArgument(0);

    parent::setUp();
  }

}
